searchNodes=[{"doc":"LivePhone A Phoenix LiveView Component for phone number input fields, basically a intl-tel-input for Phoenix LiveView. Based on ISO and ex_phone_number , which in turn is based on libphonenumber . Installation If available in Hex , the package can be installed by adding live_phone to your list of dependencies in mix.exs : def deps do [ { :live_phone , &quot;~&gt; 0.6&quot; } ] end Documentation can be generated with ExDoc and published on HexDocs . Once published, the docs can be found at https://hexdocs.pm/live_phone . To your assets/package.json file add: &quot;live_phone&quot; : &quot;file:../deps/live_phone&quot; , To your app.js add something like: import LivePhone from &quot;live_phone&quot; let Hooks = { } Hooks.LivePhone = LivePhone And finally to your CSS add: @import &quot;../../deps/live_phone/assets/live_phone&quot; ; Example In the example/ directory you will find a very minimal Phoenix application to demonstrate LivePhone in usage. Browser Tests (chromedriver) To run the browser tests you need to install chromedriver ( brew install chromedriver on MacOS) and it has to be running already. The tests are excluded by default, but you can include them with --include browser . See below: An &quot;invalid session id&quot; error can usually be fixed by upgrading chromedriver. $ chromedriver --verbose --url-base=/wd/hub # hound assumes default port 9515) $ mix test --include browser","ref":"LivePhone.html","title":"LivePhone","type":"module"},{"doc":"Parses the given country_code into an emoji, but I should note that the emoji is not validated so it might return an invalid emoji (this will also depend on the unicode version supported by your operating system, and which flags are included.) Examples iex&gt; LivePhone . emoji_for_country ( nil ) &quot;&quot; iex&gt; LivePhone . emoji_for_country ( &quot;US&quot; ) &quot;🇺🇸&quot;","ref":"LivePhone.html#emoji_for_country/1","title":"LivePhone.emoji_for_country/1","type":"function"},{"doc":"This is used to try and get a Country for a given phone number. Examples iex&gt; LivePhone . get_country ( &quot;&quot; ) { :error , :invalid_number } iex&gt; LivePhone . get_country ( &quot;+1555&quot; ) { :error , :invalid_number } iex&gt; LivePhone . get_country ( &quot;+1555&quot; ) { :error , :invalid_number } iex&gt; LivePhone . get_country ( &quot;+1 (555) 555-1234&quot; ) { :error , :invalid_number } iex&gt; LivePhone . get_country ( &quot;+1 (555) 555-1234&quot; ) { :error , :invalid_number } iex&gt; LivePhone . get_country ( &quot;+1 (650) 253-0000&quot; ) { :ok , % LivePhone.Country { code : &quot;US&quot; , flag_emoji : &quot;🇺🇸&quot; , name : &quot;United States of America (the)&quot; , preferred : false , region_code : &quot;1&quot; } } iex&gt; LivePhone . get_country ( &quot;+16502530000&quot; ) { :ok , % LivePhone.Country { code : &quot;US&quot; , flag_emoji : &quot;🇺🇸&quot; , name : &quot;United States of America (the)&quot; , preferred : false , region_code : &quot;1&quot; } }","ref":"LivePhone.html#get_country/1","title":"LivePhone.get_country/1","type":"function"},{"doc":"This is used to verify a given phone number and see if it is a valid number according to ExPhoneNumber. Examples iex&gt; LivePhone . is_valid? ( &quot;&quot; ) false iex&gt; LivePhone . is_valid? ( &quot;+1555&quot; ) false iex&gt; LivePhone . is_valid? ( &quot;+1555&quot; ) false iex&gt; LivePhone . is_valid? ( &quot;+1 (555) 555-1234&quot; ) false iex&gt; LivePhone . is_valid? ( &quot;+1 (555) 555-1234&quot; ) false iex&gt; LivePhone . is_valid? ( &quot;+1 (650) 253-0000&quot; ) true iex&gt; LivePhone . is_valid? ( &quot;+16502530000&quot; ) true","ref":"LivePhone.html#is_valid?/1","title":"LivePhone.is_valid?/1","type":"function"},{"doc":"This is used to normalize a given phone number to E.164 format, and returns a tuple with {:ok, formatted_phone} for valid numbers and {:error, unformatted_phone} for invalid numbers. Examples iex&gt; LivePhone . normalize ( &quot;1234&quot; , nil ) { :error , &quot;1234&quot; } iex&gt; LivePhone . normalize ( &quot;+1 (650) 253-0000&quot; , &quot;US&quot; ) { :ok , &quot;+16502530000&quot; }","ref":"LivePhone.html#normalize/2","title":"LivePhone.normalize/2","type":"function"},{"doc":"This is used to normalize a given phone number to E.164 format, and immediately return the value whether it is formatted or not. Examples iex&gt; LivePhone . normalize! ( &quot;1234&quot; , nil ) &quot;1234&quot; iex&gt; LivePhone . normalize! ( &quot;+1 (650) 253-0000&quot; , &quot;US&quot; ) &quot;+16502530000&quot;","ref":"LivePhone.html#normalize!/2","title":"LivePhone.normalize!/2","type":"function"},{"doc":"The LivePhone.Component is a Phoenix LiveView component that can be used to prompt users for their phone numbers, and try to make it as simple as possible. Usage is pretty simple, and there is an example Phoenix project included in the ./example / directory of this repository, so feel free to check that out as well. live_component ( @socket , LivePhone.Component , id : &quot;phone&quot; , form : :user , field : :phone , tabindex : 0 , preferred : [ &quot;US&quot; , &quot;CA&quot; ] ) This will result in a form field with the name user[phone] . You can specify just the name manually if desired, but when you add the form option the name will be generated via Phoenix.HTML.Form.input_name/2 . So this should behave like a regular input field. With preferred you can set a list of countries that you believe should be on top always. The currently selected country will also be on top automatically.","ref":"LivePhone.Component.html","title":"LivePhone.Component","type":"module"},{"doc":"","ref":"LivePhone.Component.html#set_value/1","title":"LivePhone.Component.set_value/1","type":"function"},{"doc":"","ref":"LivePhone.Component.html#set_value/2","title":"LivePhone.Component.set_value/2","type":"function"},{"doc":"The LivePhone.Countries module can be used to list all known countries and return them ordered alphabetically, and optionally you can ensure your preferred countries are prepended to the list instead of mixed in with the rest.","ref":"LivePhone.Countries.html","title":"LivePhone.Countries","type":"module"},{"doc":"This function will lookup a Country by it's country code. Examples : iex&gt; LivePhone.Countries . get_country ( &quot;US&quot; ) { :ok , % LivePhone.Country { code : &quot;US&quot; , flag_emoji : &quot;🇺🇸&quot; , name : &quot;United States of America (the)&quot; , preferred : false , region_code : &quot;1&quot; } } iex&gt; LivePhone.Countries . get_country ( &quot;FAKE&quot; ) { :error , :not_found }","ref":"LivePhone.Countries.html#get_country/1","title":"LivePhone.Countries.get_country/1","type":"function"},{"doc":"This function returns all known countries as LivePhone.Country structs, sorted alphabetically by country name. Optionally you can specify a list of preferred country codes, these will subsequently be prepended to the list. # This will return everything alphabetically abc_countries = LivePhone.Countries . list_countries ( ) # This will return it alphabetically as well, but push # the US and GB `LivePhone.Country` structs to the top # of the list. my_countries = LivePhone.Countries . list_countries ( [ &quot;US&quot; , &quot;GB&quot; ] )","ref":"LivePhone.Countries.html#list_countries/1","title":"LivePhone.Countries.list_countries/1","type":"function"},{"doc":"This function can be used to try and find the Country for a specific phone number in the ExPhoneNumber format.","ref":"LivePhone.Countries.html#lookup/1","title":"LivePhone.Countries.lookup/1","type":"function"},{"doc":"","ref":"LivePhone.Countries.html#t:phone/0","title":"LivePhone.Countries.phone/0","type":"type"},{"doc":"The LivePhone.Country struct holds minimal information about a country, but it should be enough data for LivePhone to work it's magic.","ref":"LivePhone.Country.html","title":"LivePhone.Country","type":"module"},{"doc":"Converts the given iso_country tuple into a LivePhone.Country struct. Examples iex&gt; ISO . countries ( ) |&gt; Map . to_list ( ) |&gt; Enum . find ( fn { cc , _ } -&gt; cc == &quot;SL&quot; end ) |&gt; LivePhone.Country . from_iso ( ) % LivePhone.Country { preferred : false , region_code : &quot;232&quot; , flag_emoji : &quot;🇸🇱&quot; , code : &quot;SL&quot; , name : &quot;Sierra Leone&quot; } iex&gt; LivePhone.Country . from_iso ( { &quot;US&quot; , %{ &quot;name&quot; =&gt; &quot;United States&quot; } } ) % LivePhone.Country { preferred : false , region_code : &quot;1&quot; , flag_emoji : &quot;🇺🇸&quot; , code : &quot;US&quot; , name : &quot;United States&quot; }","ref":"LivePhone.Country.html#from_iso/1","title":"LivePhone.Country.from_iso/1","type":"function"},{"doc":"","ref":"LivePhone.Country.html#t:t/0","title":"LivePhone.Country.t/0","type":"type"},{"doc":"A Phoenix LiveView Component for phone number input fields, basically a intl-tel-input for Phoenix LiveView. Based on ISO and ex_phone_number , which in turn is based on libphonenumber .","ref":"readme.html","title":"LivePhone","type":"extras"},{"doc":"If available in Hex , the package can be installed by adding live_phone to your list of dependencies in mix.exs : def deps do [ { :live_phone , &quot;~&gt; 0.6&quot; } ] end Documentation can be generated with ExDoc and published on HexDocs . Once published, the docs can be found at https://hexdocs.pm/live_phone . To your assets/package.json file add: &quot;live_phone&quot; : &quot;file:../deps/live_phone&quot; , To your app.js add something like: import LivePhone from &quot;live_phone&quot; let Hooks = { } Hooks.LivePhone = LivePhone And finally to your CSS add: @import &quot;../../deps/live_phone/assets/live_phone&quot; ;","ref":"readme.html#installation","title":"LivePhone - Installation","type":"extras"},{"doc":"In the example/ directory you will find a very minimal Phoenix application to demonstrate LivePhone in usage.","ref":"readme.html#example","title":"LivePhone - Example","type":"extras"},{"doc":"To run the browser tests you need to install chromedriver ( brew install chromedriver on MacOS) and it has to be running already. The tests are excluded by default, but you can include them with --include browser . See below: An &quot;invalid session id&quot; error can usually be fixed by upgrading chromedriver. $ chromedriver --verbose --url-base=/wd/hub # hound assumes default port 9515) $ mix test --include browser","ref":"readme.html#browser-tests-chromedriver","title":"LivePhone - Browser Tests (chromedriver)","type":"extras"}]